#ifndef rechentrainer_CAT_H
#define rechentrainer_CAT_H

#include <exec/types.h>
#include <libraries/locale.h>

/* Prototypes */
extern void OpenAppCatalog(struct Locale *, STRPTR);
extern void CloseAppCatalog(void);
extern char *GetRechenString(APTR);

/* Definitions */
extern const APTR _MSG_AppDescription;
#define MSG_AppDescription ((APTR) &_MSG_AppDescription)
extern const APTR _MSG_AppCopyright;
#define MSG_AppCopyright ((APTR) &_MSG_AppCopyright)
extern const APTR _MSG_WI_Auswahl;
#define MSG_WI_Auswahl ((APTR) &_MSG_WI_Auswahl)
extern const APTR _MSG_MNlabel1Projekt;
#define MSG_MNlabel1Projekt ((APTR) &_MSG_MNlabel1Projekt)
extern const APTR _MSG_MNlabel1ber;
#define MSG_MNlabel1ber ((APTR) &_MSG_MNlabel1ber)
extern const APTR _MSG_MNlabel1berChar;
#define MSG_MNlabel1berChar ((APTR) &_MSG_MNlabel1berChar)
extern const APTR _MSG_MNlabel1Punktestand;
#define MSG_MNlabel1Punktestand ((APTR) &_MSG_MNlabel1Punktestand)
extern const APTR _MSG_MNlabel1PunktestandChar;
#define MSG_MNlabel1PunktestandChar ((APTR) &_MSG_MNlabel1PunktestandChar)
extern const APTR _MSG_MNlabel1Beenden;
#define MSG_MNlabel1Beenden ((APTR) &_MSG_MNlabel1Beenden)
extern const APTR _MSG_MNlabel1BeendenChar;
#define MSG_MNlabel1BeendenChar ((APTR) &_MSG_MNlabel1BeendenChar)
extern const APTR _MSG_MNlabel1Speichern;
#define MSG_MNlabel1Speichern ((APTR) &_MSG_MNlabel1Speichern)
extern const APTR _MSG_MNlabel1SpeichernChar;
#define MSG_MNlabel1SpeichernChar ((APTR) &_MSG_MNlabel1SpeichernChar)
extern const APTR _MSG_MNlabel1Laden;
#define MSG_MNlabel1Laden ((APTR) &_MSG_MNlabel1Laden)
extern const APTR _MSG_MNlabel1LadenChar;
#define MSG_MNlabel1LadenChar ((APTR) &_MSG_MNlabel1LadenChar)
extern const APTR _MSG_MNlabel1Rechnungsarten;
#define MSG_MNlabel1Rechnungsarten ((APTR) &_MSG_MNlabel1Rechnungsarten)
extern const APTR _MSG_MNlabel1AdditionNotify8;
#define MSG_MNlabel1AdditionNotify8 ((APTR) &_MSG_MNlabel1AdditionNotify8)
extern const APTR _MSG_MNlabel1AdditionNotify9;
#define MSG_MNlabel1AdditionNotify9 ((APTR) &_MSG_MNlabel1AdditionNotify9)
extern const APTR _MSG_MNlabel1AdditionNotify10;
#define MSG_MNlabel1AdditionNotify10 ((APTR) &_MSG_MNlabel1AdditionNotify10)
extern const APTR _MSG_MNlabel1AdditionNotify11;
#define MSG_MNlabel1AdditionNotify11 ((APTR) &_MSG_MNlabel1AdditionNotify11)
extern const APTR _MSG_MNlabel1AdditionNotify12;
#define MSG_MNlabel1AdditionNotify12 ((APTR) &_MSG_MNlabel1AdditionNotify12)
extern const APTR _MSG_MNlabel1Addition;
#define MSG_MNlabel1Addition ((APTR) &_MSG_MNlabel1Addition)
extern const APTR _MSG_MNlabel1AdditionChar;
#define MSG_MNlabel1AdditionChar ((APTR) &_MSG_MNlabel1AdditionChar)
extern const APTR _MSG_MNlabel1SubtraktionNotify8;
#define MSG_MNlabel1SubtraktionNotify8 ((APTR) &_MSG_MNlabel1SubtraktionNotify8)
extern const APTR _MSG_MNlabel1SubtraktionNotify9;
#define MSG_MNlabel1SubtraktionNotify9 ((APTR) &_MSG_MNlabel1SubtraktionNotify9)
extern const APTR _MSG_MNlabel1SubtraktionNotify10;
#define MSG_MNlabel1SubtraktionNotify10 ((APTR) &_MSG_MNlabel1SubtraktionNotify10)
extern const APTR _MSG_MNlabel1SubtraktionNotify11;
#define MSG_MNlabel1SubtraktionNotify11 ((APTR) &_MSG_MNlabel1SubtraktionNotify11)
extern const APTR _MSG_MNlabel1SubtraktionNotify12;
#define MSG_MNlabel1SubtraktionNotify12 ((APTR) &_MSG_MNlabel1SubtraktionNotify12)
extern const APTR _MSG_MNlabel1Subtraktion;
#define MSG_MNlabel1Subtraktion ((APTR) &_MSG_MNlabel1Subtraktion)
extern const APTR _MSG_MNlabel1SubtraktionChar;
#define MSG_MNlabel1SubtraktionChar ((APTR) &_MSG_MNlabel1SubtraktionChar)
extern const APTR _MSG_MNlabel1MultiplikationNotify8;
#define MSG_MNlabel1MultiplikationNotify8 ((APTR) &_MSG_MNlabel1MultiplikationNotify8)
extern const APTR _MSG_MNlabel1MultiplikationNotify9;
#define MSG_MNlabel1MultiplikationNotify9 ((APTR) &_MSG_MNlabel1MultiplikationNotify9)
extern const APTR _MSG_MNlabel1MultiplikationNotify10;
#define MSG_MNlabel1MultiplikationNotify10 ((APTR) &_MSG_MNlabel1MultiplikationNotify10)
extern const APTR _MSG_MNlabel1MultiplikationNotify11;
#define MSG_MNlabel1MultiplikationNotify11 ((APTR) &_MSG_MNlabel1MultiplikationNotify11)
extern const APTR _MSG_MNlabel1MultiplikationNotify12;
#define MSG_MNlabel1MultiplikationNotify12 ((APTR) &_MSG_MNlabel1MultiplikationNotify12)
extern const APTR _MSG_MNlabel1Multiplikation;
#define MSG_MNlabel1Multiplikation ((APTR) &_MSG_MNlabel1Multiplikation)
extern const APTR _MSG_MNlabel1MultiplikationChar;
#define MSG_MNlabel1MultiplikationChar ((APTR) &_MSG_MNlabel1MultiplikationChar)
extern const APTR _MSG_MNlabel1DivisionNotify8;
#define MSG_MNlabel1DivisionNotify8 ((APTR) &_MSG_MNlabel1DivisionNotify8)
extern const APTR _MSG_MNlabel1DivisionNotify9;
#define MSG_MNlabel1DivisionNotify9 ((APTR) &_MSG_MNlabel1DivisionNotify9)
extern const APTR _MSG_MNlabel1DivisionNotify10;
#define MSG_MNlabel1DivisionNotify10 ((APTR) &_MSG_MNlabel1DivisionNotify10)
extern const APTR _MSG_MNlabel1DivisionNotify11;
#define MSG_MNlabel1DivisionNotify11 ((APTR) &_MSG_MNlabel1DivisionNotify11)
extern const APTR _MSG_MNlabel1DivisionNotify12;
#define MSG_MNlabel1DivisionNotify12 ((APTR) &_MSG_MNlabel1DivisionNotify12)
extern const APTR _MSG_MNlabel1Division;
#define MSG_MNlabel1Division ((APTR) &_MSG_MNlabel1Division)
extern const APTR _MSG_MNlabel1DivisionChar;
#define MSG_MNlabel1DivisionChar ((APTR) &_MSG_MNlabel1DivisionChar)
extern const APTR _MSG_GR_grp_0Title;
#define MSG_GR_grp_0Title ((APTR) &_MSG_GR_grp_0Title)
extern const APTR _MSG_BT_MultiNotify5;
#define MSG_BT_MultiNotify5 ((APTR) &_MSG_BT_MultiNotify5)
extern const APTR _MSG_BT_MultiNotify6;
#define MSG_BT_MultiNotify6 ((APTR) &_MSG_BT_MultiNotify6)
extern const APTR _MSG_BT_MultiNotify7;
#define MSG_BT_MultiNotify7 ((APTR) &_MSG_BT_MultiNotify7)
extern const APTR _MSG_BT_MultiNotify8;
#define MSG_BT_MultiNotify8 ((APTR) &_MSG_BT_MultiNotify8)
extern const APTR _MSG_BT_MultiNotify9;
#define MSG_BT_MultiNotify9 ((APTR) &_MSG_BT_MultiNotify9)
extern const APTR _MSG_BT_MultiNotify10;
#define MSG_BT_MultiNotify10 ((APTR) &_MSG_BT_MultiNotify10)
extern const APTR _MSG_BT_Multi;
#define MSG_BT_Multi ((APTR) &_MSG_BT_Multi)
extern const APTR _MSG_BT_DiviNotify5;
#define MSG_BT_DiviNotify5 ((APTR) &_MSG_BT_DiviNotify5)
extern const APTR _MSG_BT_DiviNotify6;
#define MSG_BT_DiviNotify6 ((APTR) &_MSG_BT_DiviNotify6)
extern const APTR _MSG_BT_DiviNotify7;
#define MSG_BT_DiviNotify7 ((APTR) &_MSG_BT_DiviNotify7)
extern const APTR _MSG_BT_DiviNotify8;
#define MSG_BT_DiviNotify8 ((APTR) &_MSG_BT_DiviNotify8)
extern const APTR _MSG_BT_DiviNotify9;
#define MSG_BT_DiviNotify9 ((APTR) &_MSG_BT_DiviNotify9)
extern const APTR _MSG_BT_DiviNotify10;
#define MSG_BT_DiviNotify10 ((APTR) &_MSG_BT_DiviNotify10)
extern const APTR _MSG_BT_Divi;
#define MSG_BT_Divi ((APTR) &_MSG_BT_Divi)
extern const APTR _MSG_BT_AddiNotify5;
#define MSG_BT_AddiNotify5 ((APTR) &_MSG_BT_AddiNotify5)
extern const APTR _MSG_BT_AddiNotify6;
#define MSG_BT_AddiNotify6 ((APTR) &_MSG_BT_AddiNotify6)
extern const APTR _MSG_BT_AddiNotify7;
#define MSG_BT_AddiNotify7 ((APTR) &_MSG_BT_AddiNotify7)
extern const APTR _MSG_BT_AddiNotify8;
#define MSG_BT_AddiNotify8 ((APTR) &_MSG_BT_AddiNotify8)
extern const APTR _MSG_BT_AddiNotify9;
#define MSG_BT_AddiNotify9 ((APTR) &_MSG_BT_AddiNotify9)
extern const APTR _MSG_BT_AddiNotify10;
#define MSG_BT_AddiNotify10 ((APTR) &_MSG_BT_AddiNotify10)
extern const APTR _MSG_BT_Addi;
#define MSG_BT_Addi ((APTR) &_MSG_BT_Addi)
extern const APTR _MSG_BT_SubtrNotify5;
#define MSG_BT_SubtrNotify5 ((APTR) &_MSG_BT_SubtrNotify5)
extern const APTR _MSG_BT_SubtrNotify6;
#define MSG_BT_SubtrNotify6 ((APTR) &_MSG_BT_SubtrNotify6)
extern const APTR _MSG_BT_SubtrNotify7;
#define MSG_BT_SubtrNotify7 ((APTR) &_MSG_BT_SubtrNotify7)
extern const APTR _MSG_BT_SubtrNotify8;
#define MSG_BT_SubtrNotify8 ((APTR) &_MSG_BT_SubtrNotify8)
extern const APTR _MSG_BT_SubtrNotify9;
#define MSG_BT_SubtrNotify9 ((APTR) &_MSG_BT_SubtrNotify9)
extern const APTR _MSG_BT_SubtrNotify10;
#define MSG_BT_SubtrNotify10 ((APTR) &_MSG_BT_SubtrNotify10)
extern const APTR _MSG_BT_Subtr;
#define MSG_BT_Subtr ((APTR) &_MSG_BT_Subtr)
extern const APTR _MSG_GR_grp_1Title;
#define MSG_GR_grp_1Title ((APTR) &_MSG_GR_grp_1Title)
extern const APTR _MSG_BT_Erg;
#define MSG_BT_Erg ((APTR) &_MSG_BT_Erg)
extern const APTR _MSG_BT_Ende;
#define MSG_BT_Ende ((APTR) &_MSG_BT_Ende)
extern const APTR _MSG_WI_Multiplikation;
#define MSG_WI_Multiplikation ((APTR) &_MSG_WI_Multiplikation)
extern const APTR _MSG_GROUP_ROOT_1Title;
#define MSG_GROUP_ROOT_1Title ((APTR) &_MSG_GROUP_ROOT_1Title)
extern const APTR _MSG_TX_label_0;
#define MSG_TX_label_0 ((APTR) &_MSG_TX_label_0)
extern const APTR _MSG_TX_label_1;
#define MSG_TX_label_1 ((APTR) &_MSG_TX_label_1)
extern const APTR _MSG_Erg_Mul;
#define MSG_Erg_Mul ((APTR) &_MSG_Erg_Mul)
extern const APTR _MSG_Mul_RichtigTitle;
#define MSG_Mul_RichtigTitle ((APTR) &_MSG_Mul_RichtigTitle)
extern const APTR _MSG_Mul_Richtig;
#define MSG_Mul_Richtig ((APTR) &_MSG_Mul_Richtig)
extern const APTR _MSG_Mul_FalschTitle;
#define MSG_Mul_FalschTitle ((APTR) &_MSG_Mul_FalschTitle)
extern const APTR _MSG_WI_Divi;
#define MSG_WI_Divi ((APTR) &_MSG_WI_Divi)
extern const APTR _MSG_GROUP_ROOT_2Title;
#define MSG_GROUP_ROOT_2Title ((APTR) &_MSG_GROUP_ROOT_2Title)
extern const APTR _MSG_TX_label_2;
#define MSG_TX_label_2 ((APTR) &_MSG_TX_label_2)
extern const APTR _MSG_TX_label_3;
#define MSG_TX_label_3 ((APTR) &_MSG_TX_label_3)
extern const APTR _MSG_Erg_Div;
#define MSG_Erg_Div ((APTR) &_MSG_Erg_Div)
extern const APTR _MSG_Div_RichtigTitle;
#define MSG_Div_RichtigTitle ((APTR) &_MSG_Div_RichtigTitle)
extern const APTR _MSG_Div_FalschTitle;
#define MSG_Div_FalschTitle ((APTR) &_MSG_Div_FalschTitle)
extern const APTR _MSG_WI_Addieren;
#define MSG_WI_Addieren ((APTR) &_MSG_WI_Addieren)
extern const APTR _MSG_GROUP_ROOT_3Title;
#define MSG_GROUP_ROOT_3Title ((APTR) &_MSG_GROUP_ROOT_3Title)
extern const APTR _MSG_TX_label_4;
#define MSG_TX_label_4 ((APTR) &_MSG_TX_label_4)
extern const APTR _MSG_TX_label_5;
#define MSG_TX_label_5 ((APTR) &_MSG_TX_label_5)
extern const APTR _MSG_Erg_Addi;
#define MSG_Erg_Addi ((APTR) &_MSG_Erg_Addi)
extern const APTR _MSG_Addi_RichtigTitle;
#define MSG_Addi_RichtigTitle ((APTR) &_MSG_Addi_RichtigTitle)
extern const APTR _MSG_Addi_FalschTitle;
#define MSG_Addi_FalschTitle ((APTR) &_MSG_Addi_FalschTitle)
extern const APTR _MSG_WI_Subtraktion;
#define MSG_WI_Subtraktion ((APTR) &_MSG_WI_Subtraktion)
extern const APTR _MSG_GROUP_ROOT_4Title;
#define MSG_GROUP_ROOT_4Title ((APTR) &_MSG_GROUP_ROOT_4Title)
extern const APTR _MSG_TX_label_6;
#define MSG_TX_label_6 ((APTR) &_MSG_TX_label_6)
extern const APTR _MSG_TX_label_7;
#define MSG_TX_label_7 ((APTR) &_MSG_TX_label_7)
extern const APTR _MSG_Erg_Subtr;
#define MSG_Erg_Subtr ((APTR) &_MSG_Erg_Subtr)
extern const APTR _MSG_Subtr_RichtigTitle;
#define MSG_Subtr_RichtigTitle ((APTR) &_MSG_Subtr_RichtigTitle)
extern const APTR _MSG_Subtr_FalschTitle;
#define MSG_Subtr_FalschTitle ((APTR) &_MSG_Subtr_FalschTitle)
extern const APTR _MSG_WI_Ergebnis;
#define MSG_WI_Ergebnis ((APTR) &_MSG_WI_Ergebnis)
extern const APTR _MSG_GROUP_ROOT_5Title;
#define MSG_GROUP_ROOT_5Title ((APTR) &_MSG_GROUP_ROOT_5Title)
extern const APTR _MSG_GR_grp_17Title;
#define MSG_GR_grp_17Title ((APTR) &_MSG_GR_grp_17Title)
extern const APTR _MSG_LA_label_4;
#define MSG_LA_label_4 ((APTR) &_MSG_LA_label_4)
extern const APTR _MSG_LA_Label_5;
#define MSG_LA_Label_5 ((APTR) &_MSG_LA_Label_5)
extern const APTR _MSG_Gauge_Mul;
#define MSG_Gauge_Mul ((APTR) &_MSG_Gauge_Mul)
extern const APTR _MSG_GR_grp_20Title;
#define MSG_GR_grp_20Title ((APTR) &_MSG_GR_grp_20Title)
extern const APTR _MSG_LA_label_7;
#define MSG_LA_label_7 ((APTR) &_MSG_LA_label_7)
extern const APTR _MSG_LA_Label_8;
#define MSG_LA_Label_8 ((APTR) &_MSG_LA_Label_8)
extern const APTR _MSG_Gauge_Div;
#define MSG_Gauge_Div ((APTR) &_MSG_Gauge_Div)
extern const APTR _MSG_GR_grp_23Title;
#define MSG_GR_grp_23Title ((APTR) &_MSG_GR_grp_23Title)
extern const APTR _MSG_LA_label_10;
#define MSG_LA_label_10 ((APTR) &_MSG_LA_label_10)
extern const APTR _MSG_LA_Label_11;
#define MSG_LA_Label_11 ((APTR) &_MSG_LA_Label_11)
extern const APTR _MSG_Gauge_Addi;
#define MSG_Gauge_Addi ((APTR) &_MSG_Gauge_Addi)
extern const APTR _MSG_GR_grp_26Title;
#define MSG_GR_grp_26Title ((APTR) &_MSG_GR_grp_26Title)
extern const APTR _MSG_LA_label_13;
#define MSG_LA_label_13 ((APTR) &_MSG_LA_label_13)
extern const APTR _MSG_LA_Label_14;
#define MSG_LA_Label_14 ((APTR) &_MSG_LA_Label_14)
extern const APTR _MSG_Gauge_Subtr;
#define MSG_Gauge_Subtr ((APTR) &_MSG_Gauge_Subtr)
extern const APTR _MSG_GR_grp_29Title;
#define MSG_GR_grp_29Title ((APTR) &_MSG_GR_grp_29Title)
extern const APTR _MSG_LA_Label_16;
#define MSG_LA_Label_16 ((APTR) &_MSG_LA_Label_16)
extern const APTR _MSG_LA_label_17;
#define MSG_LA_label_17 ((APTR) &_MSG_LA_label_17)
extern const APTR _MSG_Gauge_Ges;
#define MSG_Gauge_Ges ((APTR) &_MSG_Gauge_Ges)
extern const APTR _MSG_WI_info;
#define MSG_WI_info ((APTR) &_MSG_WI_info)
extern const APTR _MSG_GROUP_ROOT_6Title;
#define MSG_GROUP_ROOT_6Title ((APTR) &_MSG_GROUP_ROOT_6Title)
extern const APTR _MSG_TX_label_8;
#define MSG_TX_label_8 ((APTR) &_MSG_TX_label_8)
extern const APTR _MSG_BT_Info_ok;
#define MSG_BT_Info_ok ((APTR) &_MSG_BT_Info_ok)
extern const APTR _MSG_Rubish;
#define MSG_Rubish ((APTR) &_MSG_Rubish)
extern const APTR _MSG_Right;
#define MSG_Right ((APTR) &_MSG_Right)
extern const APTR _MSG_Wrong;
#define MSG_Wrong ((APTR) &_MSG_Wrong)
extern const APTR _MSG_Ready;
#define MSG_Ready ((APTR) &_MSG_Ready)
extern const APTR _MSG_Title;
#define MSG_Title ((APTR) &_MSG_Title)

#endif /* !rechentrainer_CAT_H */
