#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

/* Libraries */
#include <libraries/mui.h>
#include <libraries/gadtools.h> /* for Barlabel in MenuItem */
#include <exec/memory.h>

/* Prototypes */
#include <proto/muimaster.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>

#include "rechentrainerGUI.h"

static char *GetMBString(APTR ref)
{
	char *aux;

	aux = GetRechenString(ref);
	                                    
	                    return(aux);
}

struct ObjApp * CreateApp(void)
{
	struct ObjApp * Object;

	APTR	MNlabel1Projekt, MNlabel1ber, MNlabel1Punktestand, MNlabel1Beenden;
	APTR	MNlabel1BarLabel3, MNlabel1Rechnungsarten, MNlabel1Addition, MNlabel1Subtraktion;
	APTR	MNlabel1Multiplikation, MNlabel1Division, GROUP_ROOT_0, REC_label_1;
	APTR	GR_grp_0, Space_13, Space_12, Space_4, Space_5, Space_6, Space_7;
	APTR	REC_label_2, GR_grp_1, Space_8, Space_11, Space_9, Space_10, REC_label_3;
	APTR	GROUP_ROOT_1, GR_grp_2, Space_14, GR_grp_3, obj_aux0, obj_aux1, GR_grp_4;
	APTR	GROUP_ROOT_2, GR_grp_5, Space_16, GR_grp_6, obj_aux2, obj_aux3, GR_grp_7;
	APTR	GROUP_ROOT_3, GR_grp_8, Space_18, GR_grp_9, obj_aux4, obj_aux5, GR_grp_10;
	APTR	GROUP_ROOT_4, GR_grp_11, Space_20, GR_grp_12, obj_aux6, obj_aux7;
	APTR	GR_grp_13, GROUP_ROOT_5, GR_grp_16, GR_grp_17, GR_grp_18, LA_label_4;
	APTR	GR_grp_19, LA_Label_5, Scale_0, GR_grp_20, GR_grp_21, LA_label_7;
	APTR	GR_grp_22, LA_Label_8, Scale_1, GR_grp_23, GR_grp_24, LA_label_10;
	APTR	GR_grp_25, LA_Label_11, Scale_2, GR_grp_26, GR_grp_27, LA_label_13;
	APTR	GR_grp_28, LA_Label_14, Scale_3, GR_grp_29, GR_grp_30, LA_Label_16;
	APTR	LA_label_17, GR_grp_31, Space_23, Scale_4, GROUP_ROOT_6, GR_grp_14;
	APTR	Space_2, GR_grp_15, Space_0, Space_1, Space_3;

	if (!(Object = AllocVec(sizeof(struct ObjApp),MEMF_PUBLIC|MEMF_CLEAR)))
		return(NULL);

	Object->STR_TX_label_0 = GetMBString(MSG_TX_label_0);
	Object->STR_TX_label_1 = GetMBString(MSG_TX_label_1);
	Object->STR_Mul_Nr = NULL;
	Object->STR_Aufg_Mul = NULL;
	Object->STR_Mul_Erg_tex = NULL;
	Object->STR_Mul_Erg = NULL;
	Object->STR_Mul_Richtig = GetMBString(MSG_Mul_Richtig);
	Object->STR_Mul_Falsch = NULL;
	Object->STR_TX_label_2 = GetMBString(MSG_TX_label_2);
	Object->STR_TX_label_3 = GetMBString(MSG_TX_label_3);
	Object->STR_Div_Nr = NULL;
	Object->STR_Aufg_Div = NULL;
	Object->STR_Div_Erg_tex = NULL;
	Object->STR_Div_Erg = NULL;
	Object->STR_Div_Richtig = NULL;
	Object->STR_Div_Falsch = NULL;
	Object->STR_TX_label_4 = GetMBString(MSG_TX_label_4);
	Object->STR_TX_label_5 = GetMBString(MSG_TX_label_5);
	Object->STR_Addi_Nr = NULL;
	Object->STR_Aufg_Addi = NULL;
	Object->STR_Addi_Erg_tex = NULL;
	Object->STR_Addi_Erg = NULL;
	Object->STR_Addi_Richtig = NULL;
	Object->STR_Addi_Falsch = NULL;
	Object->STR_TX_label_6 = GetMBString(MSG_TX_label_6);
	Object->STR_TX_label_7 = GetMBString(MSG_TX_label_7);
	Object->STR_Subtr_Nr = NULL;
	Object->STR_Aufg_Subtr = NULL;
	Object->STR_Subtr_Erg_tex = NULL;
	Object->STR_Subtr_Erg = NULL;
	Object->STR_Subtr_Richtig = NULL;
	Object->STR_Subtr_Falsch = NULL;
	Object->STR_Ausw_Mul_Richtig = NULL;
	Object->STR_Ausw_Mul_Falsch = NULL;
	Object->STR_Ausw_Div_Richtig = NULL;
	Object->STR_Ausw_Div_Falsch = NULL;
	Object->STR_Ausw_Addi_Richtig = NULL;
	Object->STR_Ausw_Addi_Falsch = NULL;
	Object->STR_Ausw_Subtr_Richtig = NULL;
	Object->STR_Ausw_Subtr_Falsch = NULL;
	Object->STR_Gesammt_Richtig = NULL;
	Object->STR_Gesammt_Falsch = NULL;
	Object->STR_TX_label_8 = GetMBString(MSG_TX_label_8);

	REC_label_1 = RectangleObject,
		MUIA_Rectangle_HBar, TRUE,
	End;

	Space_13 = VSpace(30);

	Space_12 = HSpace(2);

	Object->BT_Multi = SimpleButton(GetMBString(MSG_BT_Multi));

	Space_4 = HSpace(10);

	Object->BT_Divi = SimpleButton(GetMBString(MSG_BT_Divi));

	Space_5 = HSpace(10);

	Object->BT_Addi = SimpleButton(GetMBString(MSG_BT_Addi));

	Space_6 = HSpace(10);

	Object->BT_Subtr = SimpleButton(GetMBString(MSG_BT_Subtr));

	Space_7 = HSpace(5);

	GR_grp_0 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_0Title),
		MUIA_Group_Horiz, TRUE,
		Child, Space_13,
		Child, Space_12,
		Child, Object->BT_Multi,
		Child, Space_4,
		Child, Object->BT_Divi,
		Child, Space_5,
		Child, Object->BT_Addi,
		Child, Space_6,
		Child, Object->BT_Subtr,
		Child, Space_7,
	End;

	REC_label_2 = RectangleObject,
		MUIA_Rectangle_HBar, TRUE,
	End;

	Space_8 = VSpace(30);

	Space_11 = HSpace(2);

	Object->BT_Erg = SimpleButton(GetMBString(MSG_BT_Erg));

	Space_9 = HSpace(30);

	Object->BT_Ende = SimpleButton(GetMBString(MSG_BT_Ende));

	Space_10 = HSpace(5);

	GR_grp_1 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_1Title),
		MUIA_Group_Horiz, TRUE,
		Child, Space_8,
		Child, Space_11,
		Child, Object->BT_Erg,
		Child, Space_9,
		Child, Object->BT_Ende,
		Child, Space_10,
	End;

	REC_label_3 = RectangleObject,
		MUIA_Rectangle_HBar, TRUE,
	End;

	GROUP_ROOT_0 = GroupObject,
		MUIA_Frame, MUIV_Frame_ImageButton,
		Child, REC_label_1,
		Child, GR_grp_0,
		Child, REC_label_2,
		Child, GR_grp_1,
		Child, REC_label_3,
	End;

	MNlabel1ber = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1ber),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1berChar),
	End;

	MNlabel1Punktestand = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Punktestand),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1PunktestandChar),
	End;

	MNlabel1Beenden = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Beenden),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1BeendenChar),
	End;

	MNlabel1BarLabel3 = MUI_MakeObject(MUIO_Menuitem, NM_BARLABEL, 0, 0, 0);

	Object->MNlabel1Speichern = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Speichern),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1SpeichernChar),
	End;

	Object->MNlabel1Laden = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Laden),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1LadenChar),
	End;

	MNlabel1Projekt = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Projekt),
		MUIA_Family_Child, MNlabel1ber,
		MUIA_Family_Child, MNlabel1Punktestand,
		MUIA_Family_Child, MNlabel1Beenden,
		MUIA_Family_Child, MNlabel1BarLabel3,
		MUIA_Family_Child, Object->MNlabel1Speichern,
		MUIA_Family_Child, Object->MNlabel1Laden,
	End;

	MNlabel1Addition = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Addition),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1AdditionChar),
	End;

	MNlabel1Subtraktion = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Subtraktion),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1SubtraktionChar),
	End;

	MNlabel1Multiplikation = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Multiplikation),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1MultiplikationChar),
	End;

	MNlabel1Division = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Division),
		MUIA_Menuitem_Shortcut, GetMBString(MSG_MNlabel1DivisionChar),
	End;

	MNlabel1Rechnungsarten = MenuitemObject,
		MUIA_Menuitem_Title, GetMBString(MSG_MNlabel1Rechnungsarten),
		MUIA_Family_Child, MNlabel1Addition,
		MUIA_Family_Child, MNlabel1Subtraktion,
		MUIA_Family_Child, MNlabel1Multiplikation,
		MUIA_Family_Child, MNlabel1Division,
	End;

	Object->MN_label_1 = MenustripObject,
		MUIA_Family_Child, MNlabel1Projekt,
		MUIA_Family_Child, MNlabel1Rechnungsarten,
	End;

	Object->WI_Auswahl = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Auswahl),
		MUIA_HelpNode, "WI_Auswahl",
		MUIA_Window_Menustrip, Object->MN_label_1,
		MUIA_Window_ID, MAKE_ID('0', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_0,
	End;

	Object->TX_label_0 = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Text_Contents, Object->STR_TX_label_0,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Anz_Mul = StringObject,
		MUIA_Weight, 10,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "0123456789",
		MUIA_String_MaxLen, 8,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	Space_14 = HSpace(15);

	GR_grp_2 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Columns, 3,
		Child, Object->TX_label_0,
		Child, Object->Anz_Mul,
		Child, Space_14,
	End;

	Object->TX_label_1 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_1,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMax, TRUE,
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Mul_Nr = TextObject,
		MUIA_Weight, 27,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Mul_Nr,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Aufg_Mul = TextObject,
		MUIA_Weight, 80,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Aufg_Mul,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Erg_Mul = StringObject,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "-0123456789",
		MUIA_String_MaxLen, 12,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	obj_aux1 = Label2(GetMBString(MSG_Erg_Mul));

	obj_aux0 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux1,
		Child, Object->Erg_Mul,
	End;

	GR_grp_3 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_1,
		Child, Object->Mul_Nr,
		Child, Object->Aufg_Mul,
		Child, obj_aux0,
	End;

	Object->Mul_Erg_tex = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Mul_Erg_tex,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Mul_Erg = TextObject,
		MUIA_Weight, 21,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Mul_Erg,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Mul_Richtig = TextObject,
		MUIA_Weight, 51,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Mul_RichtigTitle),
		MUIA_Text_Contents, Object->STR_Mul_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Mul_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Mul_FalschTitle),
		MUIA_Text_Contents, Object->STR_Mul_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_4 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->Mul_Erg_tex,
		Child, Object->Mul_Erg,
		Child, Object->Mul_Richtig,
		Child, Object->Mul_Falsch,
	End;

	GROUP_ROOT_1 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_1Title),
		MUIA_Group_SameWidth, TRUE,
		Child, GR_grp_2,
		Child, GR_grp_3,
		Child, GR_grp_4,
	End;

	Object->WI_Multiplikation = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Multiplikation),
		MUIA_HelpNode, "WI_Multiplikation",
		MUIA_Window_ID, MAKE_ID('1', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_1,
	End;

	Object->TX_label_2 = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Text_Contents, Object->STR_TX_label_2,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Anz_Div = StringObject,
		MUIA_Weight, 10,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "0123456789",
		MUIA_String_MaxLen, 8,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	Space_16 = HSpace(20);

	GR_grp_5 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_2,
		Child, Object->Anz_Div,
		Child, Space_16,
	End;

	Object->TX_label_3 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_3,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMax, TRUE,
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Div_Nr = TextObject,
		MUIA_Weight, 24,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Div_Nr,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Aufg_Div = TextObject,
		MUIA_Weight, 80,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Aufg_Div,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Erg_Div = StringObject,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "-0123456789",
		MUIA_String_MaxLen, 12,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	obj_aux3 = Label2(GetMBString(MSG_Erg_Div));

	obj_aux2 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux3,
		Child, Object->Erg_Div,
	End;

	GR_grp_6 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_3,
		Child, Object->Div_Nr,
		Child, Object->Aufg_Div,
		Child, obj_aux2,
	End;

	Object->Div_Erg_tex = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Div_Erg_tex,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Div_Erg = TextObject,
		MUIA_Weight, 21,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Div_Erg,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Div_Richtig = TextObject,
		MUIA_Weight, 51,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Div_RichtigTitle),
		MUIA_Text_Contents, Object->STR_Div_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Div_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Div_FalschTitle),
		MUIA_Text_Contents, Object->STR_Div_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_7 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->Div_Erg_tex,
		Child, Object->Div_Erg,
		Child, Object->Div_Richtig,
		Child, Object->Div_Falsch,
	End;

	GROUP_ROOT_2 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_2Title),
		Child, GR_grp_5,
		Child, GR_grp_6,
		Child, GR_grp_7,
	End;

	Object->WI_Divi = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Divi),
		MUIA_HelpNode, "WI_Divi",
		MUIA_Window_ID, MAKE_ID('2', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_2,
	End;

	Object->TX_label_4 = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Text_Contents, Object->STR_TX_label_4,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Anz_Addi = StringObject,
		MUIA_Weight, 10,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Contents, "   ",
		MUIA_String_Accept, "0123456789",
		MUIA_String_MaxLen, 8,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	Space_18 = HSpace(20);

	GR_grp_8 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_4,
		Child, Object->Anz_Addi,
		Child, Space_18,
	End;

	Object->TX_label_5 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_5,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMax, TRUE,
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Addi_Nr = TextObject,
		MUIA_Weight, 27,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Addi_Nr,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Aufg_Addi = TextObject,
		MUIA_Weight, 80,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Aufg_Addi,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Erg_Addi = StringObject,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "-0123456789",
		MUIA_String_MaxLen, 12,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	obj_aux5 = Label2(GetMBString(MSG_Erg_Addi));

	obj_aux4 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux5,
		Child, Object->Erg_Addi,
	End;

	GR_grp_9 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_5,
		Child, Object->Addi_Nr,
		Child, Object->Aufg_Addi,
		Child, obj_aux4,
	End;

	Object->Addi_Erg_tex = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Addi_Erg_tex,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Addi_Erg = TextObject,
		MUIA_Weight, 21,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Addi_Erg,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Addi_Richtig = TextObject,
		MUIA_Weight, 51,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Addi_RichtigTitle),
		MUIA_Text_Contents, Object->STR_Addi_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Addi_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Addi_FalschTitle),
		MUIA_Text_Contents, Object->STR_Addi_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_10 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->Addi_Erg_tex,
		Child, Object->Addi_Erg,
		Child, Object->Addi_Richtig,
		Child, Object->Addi_Falsch,
	End;

	GROUP_ROOT_3 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_3Title),
		Child, GR_grp_8,
		Child, GR_grp_9,
		Child, GR_grp_10,
	End;

	Object->WI_Addieren = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Addieren),
		MUIA_HelpNode, "WI_Addieren",
		MUIA_Window_ID, MAKE_ID('3', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_3,
	End;

	Object->TX_label_6 = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Text_Contents, Object->STR_TX_label_6,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Anz_Subtr = StringObject,
		MUIA_Weight, 10,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "0123456789",
		MUIA_String_MaxLen, 8,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	Space_20 = HSpace(20);

	GR_grp_11 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_6,
		Child, Object->Anz_Subtr,
		Child, Space_20,
	End;

	Object->TX_label_7 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_7,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMax, TRUE,
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Subtr_Nr = TextObject,
		MUIA_Weight, 27,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Subtr_Nr,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Aufg_Subtr = TextObject,
		MUIA_Weight, 80,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Aufg_Subtr,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Erg_Subtr = StringObject,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_String_Accept, "-0123456789",
		MUIA_String_MaxLen, 12,
		MUIA_String_Format, MUIV_String_Format_Center,
	End;

	obj_aux7 = Label2(GetMBString(MSG_Erg_Subtr));

	obj_aux6 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux7,
		Child, Object->Erg_Subtr,
	End;

	GR_grp_12 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->TX_label_7,
		Child, Object->Subtr_Nr,
		Child, Object->Aufg_Subtr,
		Child, obj_aux6,
	End;

	Object->Subtr_Erg_tex = TextObject,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Subtr_Erg_tex,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Subtr_Erg = TextObject,
		MUIA_Weight, 21,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Subtr_Erg,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Subtr_Richtig = TextObject,
		MUIA_Weight, 51,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Subtr_RichtigTitle),
		MUIA_Text_Contents, Object->STR_Subtr_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->Subtr_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_WindowBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_FrameTitle, GetMBString(MSG_Subtr_FalschTitle),
		MUIA_Text_Contents, Object->STR_Subtr_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_13 = GroupObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_Group_Horiz, TRUE,
		Child, Object->Subtr_Erg_tex,
		Child, Object->Subtr_Erg,
		Child, Object->Subtr_Richtig,
		Child, Object->Subtr_Falsch,
	End;

	GROUP_ROOT_4 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_4Title),
		Child, GR_grp_11,
		Child, GR_grp_12,
		Child, GR_grp_13,
	End;

	Object->WI_Subtraktion = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Subtraktion),
		MUIA_HelpNode, "WI_Subtraktion",
		MUIA_Window_ID, MAKE_ID('4', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_4,
	End;

	LA_label_4 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_label_4),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Mul_Richtig = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Mul_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_18 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_label_4,
		Child, Object->Ausw_Mul_Richtig,
	End;

	LA_Label_5 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_Label_5),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Mul_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Mul_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_19 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		MUIA_Group_SameWidth, TRUE,
		Child, LA_Label_5,
		Child, Object->Ausw_Mul_Falsch,
	End;

	Object->Gauge_Mul = GaugeObject,
		GaugeFrame,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_InfoText, GetMBString(MSG_Gauge_Mul),
		MUIA_Gauge_Max, 100,
	End;

	Scale_0 = ScaleObject,
		MUIA_Scale_Horiz, TRUE,
	End;

	GR_grp_17 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_17Title),
		MUIA_Group_SameSize, TRUE,
		Child, GR_grp_18,
		Child, GR_grp_19,
		Child, Object->Gauge_Mul,
		Child, Scale_0,
	End;

	LA_label_7 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_label_7),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Div_Richtig = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Div_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_21 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_label_7,
		Child, Object->Ausw_Div_Richtig,
	End;

	LA_Label_8 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_Label_8),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Div_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Div_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_22 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_Label_8,
		Child, Object->Ausw_Div_Falsch,
	End;

	Object->Gauge_Div = GaugeObject,
		GaugeFrame,
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_InfoText, GetMBString(MSG_Gauge_Div),
		MUIA_Gauge_Max, 100,
	End;

	Scale_1 = ScaleObject,
		MUIA_Scale_Horiz, TRUE,
	End;

	GR_grp_20 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_20Title),
		MUIA_Group_SameSize, TRUE,
		Child, GR_grp_21,
		Child, GR_grp_22,
		Child, Object->Gauge_Div,
		Child, Scale_1,
	End;

	LA_label_10 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_label_10),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Addi_Richtig = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Addi_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_24 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_label_10,
		Child, Object->Ausw_Addi_Richtig,
	End;

	LA_Label_11 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_Label_11),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Addi_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Addi_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_25 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_Label_11,
		Child, Object->Ausw_Addi_Falsch,
	End;

	Object->Gauge_Addi = GaugeObject,
		GaugeFrame,
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_InfoText, GetMBString(MSG_Gauge_Addi),
		MUIA_Gauge_Max, 100,
	End;

	Scale_2 = ScaleObject,
		MUIA_Scale_Horiz, TRUE,
	End;

	GR_grp_23 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_23Title),
		MUIA_Group_SameSize, TRUE,
		Child, GR_grp_24,
		Child, GR_grp_25,
		Child, Object->Gauge_Addi,
		Child, Scale_2,
	End;

	LA_label_13 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_label_13),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Subtr_Richtig = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Subtr_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_27 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_label_13,
		Child, Object->Ausw_Subtr_Richtig,
	End;

	LA_Label_14 = TextObject,
		MUIA_Text_PreParse, "\033r",
		MUIA_Text_Contents, GetMBString(MSG_LA_Label_14),
		MUIA_Weight, 50,
		MUIA_InnerLeft, 0,
		MUIA_InnerRight, 0,
	End;

	Object->Ausw_Subtr_Falsch = TextObject,
		MUIA_Weight, 50,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Ausw_Subtr_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_28 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_Label_14,
		Child, Object->Ausw_Subtr_Falsch,
	End;

	Object->Gauge_Subtr = GaugeObject,
		GaugeFrame,
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_InfoText, GetMBString(MSG_Gauge_Subtr),
		MUIA_Gauge_Max, 100,
	End;

	Scale_3 = ScaleObject,
		MUIA_Scale_Horiz, TRUE,
	End;

	GR_grp_26 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_26Title),
		MUIA_Group_SameSize, TRUE,
		Child, GR_grp_27,
		Child, GR_grp_28,
		Child, Object->Gauge_Subtr,
		Child, Scale_3,
	End;

	GR_grp_16 = GroupObject,
		MUIA_Group_Columns, 4,
		MUIA_Group_SameSize, TRUE,
		Child, GR_grp_17,
		Child, GR_grp_20,
		Child, GR_grp_23,
		Child, GR_grp_26,
	End;

	LA_Label_16 = Label(GetMBString(MSG_LA_Label_16));

	Object->Gesammt_Richtig = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Gesammt_Richtig,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	LA_label_17 = Label(GetMBString(MSG_LA_label_17));

	Object->Gesammt_Falsch = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_Gesammt_Falsch,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_30 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, LA_Label_16,
		Child, Object->Gesammt_Richtig,
		Child, LA_label_17,
		Child, Object->Gesammt_Falsch,
	End;

	Space_23 = VSpace(16);

	Object->Gauge_Ges = GaugeObject,
		GaugeFrame,
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_InfoText, GetMBString(MSG_Gauge_Ges),
		MUIA_Gauge_Max, 100,
	End;

	Scale_4 = ScaleObject,
		MUIA_Scale_Horiz, TRUE,
	End;

	GR_grp_31 = GroupObject,
		Child, Space_23,
		Child, Object->Gauge_Ges,
		Child, Scale_4,
	End;

	GR_grp_29 = GroupObject,
		MUIA_Frame, MUIV_Frame_Prop,
		MUIA_FrameTitle, GetMBString(MSG_GR_grp_29Title),
		MUIA_Group_Columns, 2,
		MUIA_Group_SameWidth, TRUE,
		Child, GR_grp_30,
		Child, GR_grp_31,
	End;

	GROUP_ROOT_5 = GroupObject,
		MUIA_Frame, MUIV_Frame_String,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_5Title),
		Child, GR_grp_16,
		Child, GR_grp_29,
	End;

	Object->WI_Ergebnis = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_Ergebnis),
		MUIA_HelpNode, "WI_Ergebnis",
		MUIA_Window_ID, MAKE_ID('5', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_5,
	End;

	Object->TX_label_8 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_8,
		MUIA_Text_PreParse, "\033c\0338",
		MUIA_Text_SetMin, TRUE,
	End;

	Space_2 = VSpace(10);

	Space_0 = HSpace(75);

	Object->BT_Info_ok = SimpleButton(GetMBString(MSG_BT_Info_ok));

	Space_1 = HSpace(75);

	GR_grp_15 = GroupObject,
		MUIA_Group_Columns, 3,
		Child, Space_0,
		Child, Object->BT_Info_ok,
		Child, Space_1,
	End;

	Space_3 = VSpace(10);

	GR_grp_14 = GroupObject,
		Child, Object->TX_label_8,
		Child, Space_2,
		Child, GR_grp_15,
		Child, Space_3,
	End;

	GROUP_ROOT_6 = GroupObject,
		MUIA_Background, MUII_ListBack,
		MUIA_Frame, MUIV_Frame_ImageButton,
		MUIA_FrameTitle, GetMBString(MSG_GROUP_ROOT_6Title),
		Child, GR_grp_14,
	End;

	Object->WI_info = WindowObject,
		MUIA_Window_Title, GetMBString(MSG_WI_info),
		MUIA_HelpNode, "WI_info",
		MUIA_Window_ID, MAKE_ID('6', 'W', 'I', 'N'),
		MUIA_Window_CloseGadget, FALSE,
		MUIA_Window_SizeGadget, FALSE,
		WindowContents, GROUP_ROOT_6,
	End;

	Object->App = ApplicationObject,
		MUIA_Application_Author, "Jrgen Spth",
		MUIA_Application_Base, "CALCULATIONTRAINER",
		MUIA_Application_Title, GetMBString(MSG_Title),
		MUIA_Application_Version, "$VER: Mui-Calc-trainer 1.6 (05.01.1996)",
		MUIA_Application_Copyright, GetMBString(MSG_AppCopyright),
		MUIA_Application_Description, GetMBString(MSG_AppDescription),
		MUIA_HelpFile, "Calctrainer.guide",
		SubWindow, Object->WI_Auswahl,
		SubWindow, Object->WI_Multiplikation,
		SubWindow, Object->WI_Divi,
		SubWindow, Object->WI_Addieren,
		SubWindow, Object->WI_Subtraktion,
		SubWindow, Object->WI_Ergebnis,
		SubWindow, Object->WI_info,
	End;


	if (!Object->App)
	{
		FreeVec(Object);
		return(NULL);
	}

	DoMethod(Object->App,
		MUIM_Notify, MUIA_Application_Iconified, TRUE,
		Object->App,
		3,
		MUIM_Set, MUIA_Application_Sleep, TRUE
		);

	DoMethod(Object->App,
		MUIM_Notify, MUIA_Application_Iconified, FALSE,
		Object->App,
		3,
		MUIM_Set, MUIA_Application_Sleep, FALSE
		);

	DoMethod(MNlabel1ber,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1ber,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(MNlabel1Punktestand,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Punktestand,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Beenden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit
		);

	DoMethod(Object->MNlabel1Speichern,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, SPEICHERN
		);

	DoMethod(Object->MNlabel1Laden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, LADEN
		);

	DoMethod(Object->MNlabel1Laden,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Addi,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Addi
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Addi,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1AdditionNotify8)
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Aufg_Addi,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1AdditionNotify9)
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Addi_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1AdditionNotify10)
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Addi_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1AdditionNotify11)
		);

	DoMethod(MNlabel1Addition,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Erg_Addi,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1AdditionNotify12)
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Subtr,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Subtr
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Subtr,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1SubtraktionNotify8)
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Aufg_Subtr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1SubtraktionNotify9)
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Subtr_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1SubtraktionNotify10)
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Subtr_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1SubtraktionNotify11)
		);

	DoMethod(MNlabel1Subtraktion,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Erg_Subtr,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1SubtraktionNotify12)
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Mul,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Mul
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Mul,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1MultiplikationNotify8)
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Aufg_Mul,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1MultiplikationNotify9)
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Mul_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1MultiplikationNotify10)
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Mul_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1MultiplikationNotify11)
		);

	DoMethod(MNlabel1Multiplikation,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Erg_Mul,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1MultiplikationNotify12)
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Div,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Div
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Anz_Div,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1DivisionNotify8)
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Aufg_Div,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1DivisionNotify9)
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Div_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1DivisionNotify10)
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Div_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_MNlabel1DivisionNotify11)
		);

	DoMethod(MNlabel1Division,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->Erg_Div,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_MNlabel1DivisionNotify12)
		);

	DoMethod(Object->WI_Auswahl,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Auswahl,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->App,
		2,
		MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Mul,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Mul,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Mul_Erg_tex,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_MultiNotify5)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Mul,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_MultiNotify6)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Aufg_Mul,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_MultiNotify7)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Mul_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_MultiNotify8)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Mul_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_MultiNotify9)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Mul,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_MultiNotify10)
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Mul
		);

	DoMethod(Object->BT_Multi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Div,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Div,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Div_Erg_tex,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_DiviNotify5)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Div,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_DiviNotify6)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Aufg_Div,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_DiviNotify7)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Div_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_DiviNotify8)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Div_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_DiviNotify9)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Div,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_DiviNotify10)
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Div
		);

	DoMethod(Object->BT_Divi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Addi,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Addi,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Addi_Erg_tex,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_AddiNotify5)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Addi,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_AddiNotify6)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Aufg_Addi,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_AddiNotify7)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Addi_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_AddiNotify8)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Addi_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_AddiNotify9)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Addi,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_AddiNotify10)
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Addi
		);

	DoMethod(Object->BT_Addi,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Subtr,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Subtr,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Subtr_Erg_tex,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_SubtrNotify5)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Anz_Subtr,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_SubtrNotify6)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Aufg_Subtr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_SubtrNotify7)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Subtr_Nr,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_SubtrNotify8)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Subtr_Erg,
		3,
		MUIM_Set, MUIA_Text_Contents, GetMBString(MSG_BT_SubtrNotify9)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->Erg_Subtr,
		3,
		MUIM_Set, MUIA_String_Contents, GetMBString(MSG_BT_SubtrNotify10)
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Anz_Subtr
		);

	DoMethod(Object->BT_Subtr,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->BT_Erg,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Erg,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->BT_Erg,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Ende,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->App,
		2,
		MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit
		);

	DoMethod(Object->WI_Auswahl,
		MUIM_Window_SetCycleChain, Object->BT_Multi,
		Object->BT_Divi,
		Object->BT_Addi,
		Object->BT_Subtr,
		Object->BT_Erg,
		Object->BT_Ende,
		0
		);

	DoMethod(Object->WI_Multiplikation,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Multiplikation,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->Anz_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ANZ_MUL
		);

	DoMethod(Object->Anz_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Anz_Mul,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->Anz_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Erg_Mul,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->Anz_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Mul
		);

	DoMethod(Object->Erg_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ERG_MUL
		);

	DoMethod(Object->Erg_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->Erg_Mul,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Multiplikation,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Mul
		);

	DoMethod(Object->Mul_Richtig,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Mul_Richtig,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->Mul_Falsch,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Mul_Falsch,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Multiplikation,
		MUIM_Window_SetCycleChain, Object->Anz_Mul,
		Object->Erg_Mul,
		0
		);

	DoMethod(Object->WI_Divi,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Divi,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->Anz_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Anz_Div,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->Anz_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ANZ_DIV
		);

	DoMethod(Object->Anz_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Erg_Div,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->Anz_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Div
		);

	DoMethod(Object->Erg_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ERG_DIV
		);

	DoMethod(Object->Erg_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->Erg_Div,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Divi,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Div
		);

	DoMethod(Object->Div_Richtig,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Div_Richtig,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->Div_Falsch,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Div_Falsch,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Divi,
		MUIM_Window_SetCycleChain, Object->Anz_Div,
		Object->Erg_Div,
		0
		);

	DoMethod(Object->WI_Addieren,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Addieren,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->Anz_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Anz_Addi,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->Anz_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ANZ_ADDI
		);

	DoMethod(Object->Anz_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Erg_Addi,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->Anz_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Addi
		);

	DoMethod(Object->Erg_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ERG_ADDI
		);

	DoMethod(Object->Erg_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->Erg_Addi,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Addieren,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Addi
		);

	DoMethod(Object->Addi_Richtig,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Addi_Richtig,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->Addi_Falsch,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Addi_Falsch,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Addieren,
		MUIM_Window_SetCycleChain, Object->Anz_Addi,
		Object->Erg_Addi,
		0
		);

	DoMethod(Object->WI_Subtraktion,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Subtraktion,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->Anz_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Anz_Subtr,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->Anz_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ANZ_SUBTR
		);

	DoMethod(Object->Anz_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->Erg_Subtr,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->Anz_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Subtr
		);

	DoMethod(Object->Erg_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, ERG_SUBTR
		);

	DoMethod(Object->Erg_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, BT_AUSWAHL
		);

	DoMethod(Object->Erg_Subtr,
		MUIM_Notify, MUIA_String_Acknowledge, MUIV_EveryTime,
		Object->WI_Subtraktion,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->Erg_Subtr
		);

	DoMethod(Object->Subtr_Richtig,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Subtr_Richtig,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->Subtr_Falsch,
		MUIM_Notify, MUIA_Text_Contents, MUIV_EveryTime,
		Object->Ausw_Subtr_Falsch,
		3,
		MUIM_Set, MUIA_Text_Contents, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Subtraktion,
		MUIM_Window_SetCycleChain, Object->Anz_Subtr,
		Object->Erg_Subtr,
		0
		);

	DoMethod(Object->WI_Ergebnis,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Ergebnis,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Ergebnis,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->WI_Ergebnis,
		MUIM_Window_SetCycleChain, 0
		);

	DoMethod(Object->WI_info,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_info,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Auswahl,
		3,
		MUIM_Set, MUIA_Window_Activate, TRUE
		);

	DoMethod(Object->WI_info,
		MUIM_Notify, MUIA_Window_Activate, TRUE,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_ActiveObject, Object->BT_Info_ok
		);

	DoMethod(Object->BT_Info_ok,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_info,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_info,
		MUIM_Window_SetCycleChain, Object->BT_Info_ok,
		0
		);

	set(Object->WI_Auswahl,
		MUIA_Window_Open, TRUE
		);


	return(Object);
}

void DisposeApp(struct ObjApp * Object)
{
	MUI_DisposeObject(Object->App);
	FreeVec(Object);
}
